Request Copy
curl -X POST 'https://api.dev.bank.corgi.com/ledger/securities/custody-accounts' \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"bank_owned": false,
"custodian_reference": "string",
"enabled": false,
"exclusive_core_instructions": false,
"external_account_reference": "string",
"key_id": "string",
"legal_entity": "string",
"master_cash_ledger_account_id": "lacc_2tVh8nqLxq4GbDe0K1F6S9zRcWm",
"no_third_party_lien": false,
"observed_at": "2026-09-17T14:30:00Z",
"onboarding": {
"data": "string",
"format": "string",
"sha256": "string"
},
"opening_inventory_empty": false,
"ownership": {
"reference": "string",
"sha256": "string"
},
"program_id": "string",
"program_sha256": "string",
"signature": "string",
"valid_until": "2026-09-17T14:30:00Z",
"version": "string"
}' Response 200 Copy
{
"actor" : "string" ,
"content_sha256" : "string" ,
"created_at" : "2026-09-17T14:30:00Z" ,
"custody_account" : {
"bank_owned" : false ,
"custodian_reference" : "string" ,
"enabled" : false ,
"exclusive_core_instructions" : false ,
"external_account_reference" : "string" ,
"key_id" : "string" ,
"legal_entity" : "string" ,
"master_cash_ledger_account_id" : "lacc_2tVh8nqLxq4GbDe0K1F6S9zRcWm" ,
"no_third_party_lien" : false ,
"observed_at" : "2026-09-17T14:30:00Z" ,
"onboarding" : {
"data" : "string" ,
"format" : "string" ,
"sha256" : "string"
},
"opening_inventory_empty" : false ,
"ownership" : {
"reference" : "string" ,
"sha256" : "string"
},
"program_id" : "string" ,
"program_sha256" : "string" ,
"signature" : "string" ,
"valid_until" : "2026-09-17T14:30:00Z" ,
"version" : "string"
},
"decision" : {
"actor" : "string" ,
"at" : "2026-09-17T14:30:00Z" ,
"content_sha256" : "string" ,
"decision" : "string" ,
"note" : "string"
},
"id" : "string" ,
"instrument" : {
"currency_code" : "USD" ,
"cusip" : "string" ,
"eligibility" : {
"reference" : "string" ,
"sha256" : "string"
},
"enabled" : false ,
"face_value_amount" : 10000 ,
"issue_date" : "2026-09-17" ,
"kind" : "string" ,
"maturity_date" : "2026-09-17" ,
"name" : "string" ,
"price_scale" : 0 ,
"program_id" : "string" ,
"terms" : {
"data" : "string" ,
"format" : "string" ,
"sha256" : "string"
},
"unit_basis" : "string" ,
"unit_increment" : 0 ,
"unit_scale" : 0 ,
"zero_coupon" : false
},
"kind" : "string" ,
"program" : {
"authority" : {
"reference" : "string" ,
"sha256" : "string"
},
"bridge_subject" : "string" ,
"broker_name" : "string" ,
"broker_reference" : "string" ,
"custodian_name" : "string" ,
"custodian_reference" : "string" ,
"custody_agreement" : {
"reference" : "string" ,
"sha256" : "string"
},
"dealers" : [
{
"customer_id" : "cust_2tVh8nqLxq4GbDe0K1F6S9zRcWm" ,
"external_reference" : "string" ,
"identity" : {},
"legal_name" : "string"
}
],
"enabled" : false ,
"evidence_keys" : {},
"legal_entity" : "string" ,
"master_cash_external_account_reference" : "string" ,
"master_cash_identity" : {
"reference" : "string" ,
"sha256" : "string"
},
"master_cash_ledger_account_id" : "lacc_2tVh8nqLxq4GbDe0K1F6S9zRcWm" ,
"max_order_amount" : 10000 ,
"policy" : {
"accounting_evidence" : {
"reference" : "string" ,
"sha256" : "string"
},
"accrual_convention" : "string" ,
"acquisition_fees" : "string" ,
"cash_rounding" : "string" ,
"classification" : "string" ,
"credit_evidence" : {
"reference" : "string" ,
"sha256" : "string"
},
"credit_method" : "string" ,
"recognition" : "string" ,
"tax_evidence" : {
"reference" : "string" ,
"sha256" : "string"
},
"tax_method" : "string"
},
"provider" : "string" ,
"trading_agreement" : {
"reference" : "string" ,
"sha256" : "string"
},
"valid_from" : "2026-09-17" ,
"valid_through" : "2026-09-17"
}
}